# Trading operations

- [Create market order](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/trading-operations/create-market-order.md): This request type allows users to place market orders through Pacifica's websocket API.
- [Create limit order](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/trading-operations/create-limit-order.md): This request type allows users to place limit orders through Pacifica's websocket API.
- [Edit order](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/trading-operations/edit-order.md): This request type allows users to modify existing orders (price and/or size) through websocket API in one request.
- [Batch order](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/trading-operations/batch-order.md): This endpoint allows users to submit multiple order operations in a single websocket request.
- [Cancel order](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/trading-operations/cancel-order.md): This request type allows users to cancel orders through Pacifica's websocket API.
- [Cancel all orders](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/trading-operations/cancel-all-orders.md): This request type allows users to cancel all orders through Pacifica's websocket API.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/websocket/trading-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
